Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.text.resources
Class DateFormatZoneData

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.text.resources.DateFormatZoneData

Direct Known Subclasses:
  DateFormatZoneData_en

public class DateFormatZoneData
extends ResourceBundle

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, new String[] {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone. Also, localizer should not touch "localPatternChars" entry. The `DateFormatZoneData` bundles of all locales must extend this base class. This class implements similar to `ListResourceBundle`, except that it preserves the order of the keys that it obtained from `getContents` and return through `getKeys`. As in `ListResourceBundle`, `getKeys` appends keys from the parent bundle's `getKeys` to this bundle's keys unless they duplicate one of this bundle's keys.

See Also:
  `ListResourceBundle`, `Format`, `DateFormatData`, `LocaleElements`, `SimpleDateFormat`, `TimeZone`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`DateFormatZoneData()`

Method Summary
`Object[][]` | `getContents()` Overrides ListResourceBundle
`Enumeration` | `getKeys()` Implmentation of ResourceBundle.getKeys.
`Object` | `handleGetObject(String key)` Override ResourceBundle.

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateFormatZoneData

    public DateFormatZoneData()

Method Detail

### handleGetObject

    public Object handleGetObject(String key)

  Override ResourceBundle. Same semantics.
  Overrides:
    `handleGetObject` in class `ResourceBundle`
  Following copied from class: `java.util.ResourceBundle`
  Parameters:
    `key` - see class description.
  Throws:
    `NullPointerException` - if `key` is `null`.

### getKeys

    public Enumeration getKeys()

  Implmentation of ResourceBundle.getKeys. Unlike the implementation in `ListResourceBundle`, this implementation preserves the order of keys obtained from `getContents`.
  Overrides:
    `getKeys` in class `ResourceBundle`

### getContents

    public Object[][] getContents()

  Overrides ListResourceBundle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Java is a trademark or registred trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,
Palo, Alto, California, 94303, U.S.A All Rights Reserved. < /font >